Bump the version number to 2.50, and update the FAQ.